﻿package {

	import flash.display.Sprite;
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;

	public class main extends Sprite {

		public var serieBoutons=["btCouleurs","btTypographie","btImageFixe","btAnimation","btVideo"];
		public var numeroEntree:Number;
		public var titre:TextField;
		public var styleEnTitre:TextFormat;
		public var marge:Sprite;
		public var corps:Sprite
		public var barreMarge:TracerRectangle;
		public var logo:ImportImage

		function main() {
			
			marge = new Sprite()
			corps = new Sprite()
			corps.x=100
			
			addChild(marge) // Placé après la fonction ConstruireBarreLateralePrincipale
			addChild(corps) // cela fonctionne qd même carf les objets sont créés, mais pas encore affichés
			

			ConstruireBarreLateralePrincipale();
			
		}
		private function ConstruireBarreLateralePrincipale() {

			barreMarge = new TracerRectangle(0,0,100,400,"0xE29366");
			marge.addChild(barreMarge);
			
			logo = new ImportImage("logo.png");
			logo.x=25
			logo.y=10
			marge.addChild(logo)

			for (var entree:String in serieBoutons) {
				numeroEntree=Number(entree);
				var bouton:BoutonNavigation=new BoutonNavigation;
				bouton.name=entree;
				bouton.x=50;
				bouton.y=100 + numeroEntree * 30;
				bouton.etiquette.text=serieBoutons[numeroEntree].substr(2,20);
				marge.addChild(bouton);
				bouton.numeroImage=5 + numeroEntree * 5;
				bouton.addEventListener(MouseEvent.CLICK,chargerEcran);
			}
		}
		public function chargerEcran(evt:MouseEvent) {
			placerTitre(evt.currentTarget.etiquette.text);
		}
		public function placerTitre(nomTitre) {
			
			//removeChild(marge) Pour faire disparaitre la barre avec les boutons

			if (titre != null) {
				corps.removeChild(titre);
			}

			titre=new TextField  ;
			titre.name="zoneDeTitre";
			titre.text=nomTitre;
			titre.x=50;
			titre.y=30;
			titre.selectable=false;
			titre.width=350;
			titre.autoSize=TextFieldAutoSize.LEFT;
			titre.embedFonts=true;

			corps.addChild(titre);

			styleEnTitre=new TextFormat  ;
			styleEnTitre.color="0xC44F10";
			styleEnTitre.size=24;
			styleEnTitre.align=TextFormatAlign.RIGHT;
			styleEnTitre.font="Helvetica Neue Black Condensed";
			titre.setTextFormat(styleEnTitre);

		}
	}
}